/*
 * Copyright 2013 Yuichiro Moriguchi
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.morilib.nina;

/**
 *
 *
 * @author MORIGUCHI, Yuichiro 2013/10/13
 */
public interface NinaEvent {

	/**
	 * @return
	 */
	public int get();

	/**
	 * @return
	 */
	public Object getEdge();

	/**
	 * 
	 * @return
	 */
	public Object getScratch();

	/**
	 * @param o
	 */
	public void setScratch(Object o);

	/**
	 * @param o
	 */
	public void setEdge(Object o);

	/**
	 * @return
	 */
	public String getRootResource();

	/**
	 * @return
	 */
	public String getRootPackage();

	/**
	 * 
	 * @param x
	 * @return
	 */
	public String getOption(String x);

	/**
	 * 
	 * @param x
	 * @return
	 */
	public boolean getOptionBoolean(String x);

	/**
	 * 
	 * @return
	 */
	public String getCharset();

	/**
	 * 
	 * @return
	 */
	public String getName();

	/**
	 * 
	 * @return
	 */
	public NinaLanguageOption getLanguageOption();

}
